package com.diagbot.mapper;

import com.diagbot.dto.PatientInfoDTO;
import com.diagbot.entity.PatientInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 患者信息
 * @Author: wangyu
 * @Date: 13:09 2018/11/19
 */
public interface PatientInfoMapper extends BaseMapper<PatientInfo> {
    /**
     * 获取患者信息
     * @param patientCode,hospitalCode
     * @return
     */
    public List<PatientInfoDTO> getPatientInfos(@Param("patientCode") String patientCode, @Param("hospitalCode") String hospitalCode);
}
