package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.PatientInfoDTO;
import com.diagbot.entity.PatientInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 患者信息表 服务类
 * </p>
 *
 * @author wangyu
 * @since 2018-11-19
 */
public interface PatientInfoService extends IService<PatientInfo> {

    public List<PatientInfoDTO> getPatientInfos(@Param("patientCode") String patientCode, @Param("hospitalCode") String hospitalCode);
}
